Subject: [imss] AD review for: draft-ietf-imss-fc-vf-mib-01.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 9 Mar 2006 02:36:53 +0100

- SMICng states
  C:\bwijnen\smicng\work>smicng t11fcvf.inc
  E: f(t11fcvf.mi2), (77,4) Row "t11vfCoreSwitchEntry" may not have columns with M
  AX-ACCESS of read-write if any column is read-create 
  E: f(t11fcvf.mi2), (219,4) Row "t11vfPortEntry" may not have columns with MAX-AC
  CESS of read-write if any column is read-create

  *** 2 errors and 0 warnings in parsing
 
  Probably has to do with the read-create comment I make below as well.

- When I see:
   t11vfCoreSwitchSwitchName OBJECT-TYPE
       SYNTAX      FcNameIdOrZero
       MAX-ACCESS  not-accessible
       STATUS      current
       DESCRIPTION
           "The Core Switch_Name (WWN) of this Core Switch. A
            zero-length string for this field is not allowed. "
       ::= { t11vfCoreSwitchEntry 1 }

  I wonder if it would not be better to use a 

       SYNTAX      FcNameIdOrZero (SIZE(8 | 16))

  Because that at the same time makes the restriction (zero-length
  not allowed) machine-readable!!

-   t11vfCoreSwitchMaxSupported OBJECT-TYPE
      SYNTAX      Unsigned32

  Reading the description clause, it seems to me that a value of zero
  is not allowed. So I would add a range to exclude zero.

- Mmm a read-create SYNTAX in a row that does not have a RowStatus
  SYNTAX:
    t11vfCoreSwitchStorageType OBJECT-TYPE
      SYNTAX      StorageType
      MAX-ACCESS  read-create
  Peobably just read-write?

- t11vfVirtualSwitchCoreSwitchName
  is a zero-length string allowed? ANd if so what does that mean?

- t11vfLocallyEnabledRowStatus
  Meager DESCRIPTION clause.
  Missing if any objects can be changed if in active state

- In MODULE-COMPLIANCE I See
           OBJECT t11vfVirtualSwitchRowStatus
           MIN-ACCESS read-only
           DESCRIPTION
               "Write access is not required."

   Would you want to add the SYNTAX is many just active in that case?

- In MODULE-IDENTITY macro:
            Copyright (C) The Internet Society (2006).  This version of
            this MIB module is part of RFC yyyy; see the RFC itself for
            full legal notices."
   -- RFC Ed.: replace yyyy with actual RFC number & remove this note
       REVISION        "200601230000Z"
       DESCRIPTION
               "Initial version of this MIB module, published as RFCxxxx."
   -- RFC-Editor, replace yyyy with actual RFC number & remove this note

  Probaly xxxx and yyyy are the same !!??

NITS:

- the formatting of the MIB in this document is not a preal of beauty.
  If you do a new rev, you may want to pay some attention to that.
  Actually formatting is somewhat weird at several places.

- The acknowledgement section seems to indicate that it is an INCITS work
  item and has nothing to do with IETF.
  The acknowledgement section of the other imss MIBs I reviewed earlier
  this week were better at that.
  Might at least want to thank IETF IMSS WG members?

- IANA COnsiderations section at a weird (at least different than normal)
  place.

_______________________________________________
imss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/imss